Bug 736745 - [abrt] btrfs-progs-0.19-16.fc15: Process /sbin/btrfs-image was killed by signal 11 (SIGSEGV)
Summary: [abrt] btrfs-progs-0.19-16.fc15: Process /sbin/btrfs-image was killed by sign...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: btrfs-progs
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:34b0ff7b0c82a05214aaa68e922...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 15:22 UTC by Peter Hjalmarsson
Modified: 2013-02-13 15:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 15:11:22 UTC


Attachments (Terms of Use)

Description Peter Hjalmarsson 2011-09-08 15:22:23 UTC
abrt version: 2.0.5
backtrace_rating: 0
cmdline:        btrfs-image /dev/root bajs
comment:        tried to make a dump of the metadata without being root.
executable:     /sbin/btrfs-image
kernel:         3.1.0-0.rc4.git0.0.fc16.x86_64
reason:         Process /sbin/btrfs-image was killed by signal 11 (SIGSEGV)
time:           Thu Sep  8 17:19:56 2011
uid:            1000
username:       xake

backtrace:
:[New LWP 15742]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib64/libthread_db.so.1".
:Core was generated by `btrfs-image /dev/root bajs'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0000000000401ce6 in ?? ()
:
:Thread 1 (Thread 0x7f2c6a426780 (LWP 15742)):
:#0  0x0000000000401ce6 in ?? ()
:No symbol table info available.
:#1  0x0000003cd4e2157d in __libc_start_main () from /lib64/libc.so.6
:No symbol table info available.
:#2  0x0000000000402241 in ?? ()
:No symbol table info available.
:#3  0x00007fffb3344f58 in ?? ()
:No symbol table info available.
:#4  0x000000000000001c in ?? ()
:No symbol table info available.
:#5  0x0000000000000003 in ?? ()
:No symbol table info available.
:#6  0x00007fffb334649c in ?? ()
:No symbol table info available.
:#7  0x00007fffb33464a8 in ?? ()
:No symbol table info available.
:#8  0x00007fffb33464b2 in ?? ()
:No symbol table info available.
:#9  0x0000000000000000 in ?? ()
:No symbol table info available.
:From                To                  Syms Read   Shared Object Library
:                                        No          linux-vdso.so.1
:0x0000003cd52056b0  0x0000003cd5210af8  Yes (*)     /lib64/libpthread.so.0
:0x0000003cd5e01e70  0x0000003cd5e0e66c  Yes (*)     /lib64/libz.so.1
:0x0000003cdf6015d0  0x0000003cdf602c18  Yes (*)     /lib64/libuuid.so.1
:0x0000003cd4e1ee00  0x0000003cd4f54130  Yes (*)     /lib64/libc.so.6
:0x0000003cd4a00b20  0x0000003cd4a1a16a  Yes (*)     /lib64/ld-linux-x86-64.so.2
:(*): Shared library is missing debugging information.
:$1 = 0x0
:No symbol table is loaded.  Use the "file" command.
:rax            0x0	0
:rbx            0x0	0
:rcx            0x3cd4eddab0	261270395568
:rdx            0x3cd51aa160	261273330016
:rsi            0x19	25
:rdi            0x7fffb33445a0	140736199935392
:rbp            0x0	0x0
:rsp            0x7fffb3344d20	0x7fffb3344d20
:r8             0x7f2c6a426780	139828738025344
:r9             0x7f2c6a426780	139828738025344
:r10            0x3cd4e9b5a0	261270123936
:r11            0x246	582
:r12            0x7fffb3344f68	140736199937896
:r13            0x7fffb33464a8	140736199943336
:r14            0x1	1
:r15            0x0	0
:rip            0x401ce6	0x401ce6
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:No function contains program counter for selected frame.

build_ids:
:3c3adb66e9353bfba1d6fb36854801f801d267a8
:6f5b5cd510ee703e4609edf292135e02dd969fb5
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:97ef91d4130183bc9b3b013c7227dc7161af0535
:dfc1b11c1ced5c134adca2b29874a41f39f0eeaf
:e8bc61d7b76ebf2666202c6be453db732664609f

dso_list:
:/lib64/libpthread-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315480257
:/lib64/libuuid.so.1.3.0 libuuid-2.20-1.fc16.x86_64 (Fedora Project) 1315004334
:/lib64/libc-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315480257
:/sbin/btrfs-image btrfs-progs-0.19-16.fc15.x86_64 (Fedora Project) 1315262386
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1315004026
:/lib64/ld-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315480257

environ:
:XDG_VTNR=4
:XDG_SESSION_ID=15
:HOSTNAME=ferra.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-LgcA8o/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=491a064c1868b9793a06a083000004a2-1315492448.896406-1164974655
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=29360133
:GNOME_KEYRING_CONTROL=/tmp/keyring-LgcA8o
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=xake
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-LgcA8o/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/13495,unix/unix:/tmp/.ICE-unix/13495
:USERNAME=xake
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/xake/.local/bin:/home/xake/bin
:MAIL=/var/spool/mail/xake
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/xake
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=13491
:LANG=sv_SE.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/xake
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=xake
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-fa4EVinSxH,guid=f7fe834ba70966bc263c080900001de0
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=4
:XDG_RUNTIME_DIR=/run/user/xake
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-xake-gnRNL1/database
:_=/sbin/btrfs-image
:'OLDPWD=/home/xake/H\xc3\xa4mtningar'

maps:
:00400000-00421000 r-xp 00000000 00:13 690977                             /sbin/btrfs-image
:00621000-00623000 rw-p 00021000 00:13 690977                             /sbin/btrfs-image
:00d28000-00d49000 rw-p 00000000 00:00 0                                  [heap]
:3cd4a00000-3cd4a22000 r-xp 00000000 00:13 688397                         /lib64/ld-2.14.90.so
:3cd4c21000-3cd4c22000 r--p 00021000 00:13 688397                         /lib64/ld-2.14.90.so
:3cd4c22000-3cd4c23000 rw-p 00022000 00:13 688397                         /lib64/ld-2.14.90.so
:3cd4c23000-3cd4c24000 rw-p 00000000 00:00 0 
:3cd4e00000-3cd4fa5000 r-xp 00000000 00:13 688398                         /lib64/libc-2.14.90.so
:3cd4fa5000-3cd51a4000 ---p 001a5000 00:13 688398                         /lib64/libc-2.14.90.so
:3cd51a4000-3cd51a8000 r--p 001a4000 00:13 688398                         /lib64/libc-2.14.90.so
:3cd51a8000-3cd51a9000 rw-p 001a8000 00:13 688398                         /lib64/libc-2.14.90.so
:3cd51a9000-3cd51af000 rw-p 00000000 00:00 0 
:3cd5200000-3cd5217000 r-xp 00000000 00:13 688402                         /lib64/libpthread-2.14.90.so
:3cd5217000-3cd5416000 ---p 00017000 00:13 688402                         /lib64/libpthread-2.14.90.so
:3cd5416000-3cd5417000 r--p 00016000 00:13 688402                         /lib64/libpthread-2.14.90.so
:3cd5417000-3cd5418000 rw-p 00017000 00:13 688402                         /lib64/libpthread-2.14.90.so
:3cd5418000-3cd541c000 rw-p 00000000 00:00 0 
:3cd5e00000-3cd5e16000 r-xp 00000000 00:13 688407                         /lib64/libz.so.1.2.5
:3cd5e16000-3cd6016000 ---p 00016000 00:13 688407                         /lib64/libz.so.1.2.5
:3cd6016000-3cd6017000 rw-p 00016000 00:13 688407                         /lib64/libz.so.1.2.5
:3cdf600000-3cdf604000 r-xp 00000000 00:13 688480                         /lib64/libuuid.so.1.3.0
:3cdf604000-3cdf803000 ---p 00004000 00:13 688480                         /lib64/libuuid.so.1.3.0
:3cdf803000-3cdf804000 r--p 00003000 00:13 688480                         /lib64/libuuid.so.1.3.0
:3cdf804000-3cdf805000 rw-p 00004000 00:13 688480                         /lib64/libuuid.so.1.3.0
:7f2c6a426000-7f2c6a42a000 rw-p 00000000 00:00 0 
:7f2c6a440000-7f2c6a441000 rw-p 00000000 00:00 0 
:7fffb3326000-7fffb3347000 rw-p 00000000 00:00 0                          [stack]
:7fffb338b000-7fffb338c000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:Allmänt
:=================================
:UUID: ae937d73-e548-4528-a8fe-074e068841ea
:OS: Fedora release 16 (Verne)
:Standardkörnivå: Unknown
:Språk: sv_SE.UTF-8
:Plattform: x86_64
:BogoMIPS: 4000.64
:CPU-leverantör: AuthenticAMD
:CPU-modell: AMD Turion(tm) 64 X2 Mobile Technology TL-60
:CPU-stegning: 2
:CPU-familj: 15
:CPU-modellnummer: 72
:Antal CPU:er: 2
:CPU-hastighet: 2000
:Systemminne: 3940
:Systemväxlingsutrymme: 5997
:Leverantör: Acer, inc.
:System: Ferrari 5000 Not Applicable
:Fomfaktor: Other
:Kärna: 3.1.0-0.rc4.git0.0.fc16.x86_64
:SELinux aktiverat: 1
:SELinux-policy: targeted
:SELinux upprätthålls: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Enheter
:=================================
:(4098:23096:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:(4098:23097:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:(4098:22864:4133:266) pci, None, HOST/PCI, RS480 Host Bridge
:(4098:17270:4133:266) pci, pata_atiixp, STORAGE, IXP SB400 IDE Controller
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(5772:28:5224:1058) pci, ath5k, ETHERNET, AR242x / AR542x Wireless Network Adapter (PCI-Express)
:(4098:23092:4133:266) pci, pcieport, PCI/PCI, RS480 PCI-X Root Port
:(4098:17266:4133:266) pci, piix4_smbus, SERIAL, IXP SB400 SMBus Controller
:(4098:17271:4133:266) pci, None, PCI/ISA, IXP SB400 PCI-ISA Bridge
:(4098:17275:4133:266) pci, snd_hda_intel, MULTIMEDIA, IXP SB4x0 High Definition Audio Controller
:(4172:32828:4133:266) pci, sdhci-pci, BASE, PCIxx12 SDA Standard Compliant SD Host Controller
:(4098:17265:0:0) pci, None, PCI/PCI, IXP SB400 PCI-PCI Bridge
:(5348:5788:4133:266) pci, tg3, ETHERNET, NetXtreme BCM5788 Gigabit Ethernet
:(4172:32825:4133:266) pci, yenta_cardbus, PCI/CARDBUS, PCIxx12 Cardbus Controller
:(4172:32826:4133:266) pci, firewire_ohci, FIREWIRE, PCIxx12 OHCI Compliant IEEE 1394 Host Controller
:(4098:17267:4133:266) pci, ehci_hcd, USB, IXP SB400 USB2 Host Controller
:(4098:29125:4133:266) pci, radeon, VIDEO, M56P [Radeon Mobility X1600]
:(4098:17268:4133:266) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17269:4133:266) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17273:4133:266) pci, sata_sil, STORAGE, IXP SB400 Serial ATA Controller
:(4172:32827:4133:266) pci, tifm_7xx1, STORAGE, 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
:(4098:23094:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:(4098:23095:4133:266) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:
:
:Filsystemsinformation
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-d7efe74d-ed8f-425a-942c-c6bbc44483a3 / btrfs 4096 4096 59366656 4378855 2931387 0 0 0
:/dev/sda3 /boot ext4 1024 1024 495844 445513 419913 128016 127791 127791
:

var_log_messages:
:Sep  8 17:19:55 ferra kernel: [10394.859591] btrfs-image[15742]: segfault at 130 ip 0000000000401ce6 sp 00007fffb3344d20 error 4 in btrfs-image[400000+21000]
:Sep  8 17:20:00 ferra abrt[15743]: saved core dump of pid 15742 (/sbin/btrfs-image) to /var/spool/abrt/ccpp-2011-09-08-17:19:56-15742.new/coredump (430080 bytes)

Comment 1 Fedora End Of Life 2013-01-16 14:10:08 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 15:11:25 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.